<?php
/* @var $this SiteController */

$this->pageTitle = Yii::app()->name;
?>

<h1>Управление базой данных</h1>

<?php
if (!Yii::app()->user->isGuest)
{
    $this->widget('zii.widgets.CMenu', array(
        'items' => array(
            array('label' => 'Photo', 'url' => array('photo/admin')),
            array('label' => 'Album', 'url' => array('album/admin')),
            array('label' => 'Manage Photo in Album', 'url' => array('photoAlbumRelation/admin')),
            array('label' => 'Video', 'url' => array('video/admin')),
            array('label' => 'Channel', 'url' => array('channel/admin')),
            array('label' => 'Manage Video in Channel', 'url' => array('videoChannelRelation/admin')),
            array('label' => 'Article', 'url' => array('article/admin')),
            array('label' => 'Manage Album in Article', 'url' => array('albumArticleRelation/admin')),
            array('label' => 'Manage Channel in Article', 'url' => array('channelArticleRelation/admin')),
            array('label' => 'Journal', 'url' => array('journal/admin')),
            array('label' => 'Manage Article in Journal', 'url' => array('articleJournalRelation/admin')),
            array('label' => 'Translation', 'url' => array('translation/admin')),
        ),
    ));
    
    
    if (Journal::getCurrentUserJournal())
    {
        $this->widget('zii.widgets.CMenu', array(
        'items' => array(
            array('label' => 'Редактировать ваш раздел', 'url' => array('journal/editMax')),
            array('label' => 'Редактировать статьи в разделе', 'url' => array('journal/editArticlesMax')),
        ),
    ));
    }
    else
    {
    
    $this->widget('zii.widgets.CMenu', array(
        'items' => array(
            array('label' => 'Добавить ваш раздел', 'url' => array('journal/addMax')),
        ),
    ));
    }
}

else
{
    echo "Войдите в систему для управления базой данных.";
}
?>
